Subject: Re: [PATCH v2 2/4] ref: add regular ref content check for files backend

From: Junio C Hamano <[email-masked]>
Date: Wed, 28 Aug 2024 09:32:16 -0700

Patrick Steinhardt <[email-masked]> writes:

>> Git 3.0 boundary might be a good time to tighten interoperability
>> rules such that we won't accept anything we wouldn't have written
>> ourselves (not limited to loose ref format, but this applies to
>> anything on-disk or on-wire), but we'd need enough preparation if we
>> want to be able to do so in the future.
>
> I quite like this idea.

I wouldn't say that I wrote it as a devil's advocate comment, but I
was hoping that somebody quote Postel in response, as the above
advocates a directly opposite position, which I wouldn't usually
take.

> I guess another prereq for the change is to integrate `git refs verify`
> with git-fsck(1), because otherwise people likely wouldn't see the new
> messages in the first place.

Absolutely.